<?php
namespace Bitfoundry\Etnpay\Block\Etnpay;

use Magento\Customer\Helper\Session\CurrentCustomer;
use Magento\Framework\Locale\ResolverInterface;
use Magento\Framework\View\Element\Template;
use Magento\Framework\View\Element\Template\Context;
use Bitfoundry\Etnpay\Model\Config;
use Bitfoundry\Etnpay\Model\Etnpay\Checkout;

class Form extends \Magento\Payment\Block\Form
{
    protected $_methodCode = Config::METHOD_CODE;
    protected $_etnpayData;
    protected $etnpayConfigFactory;
    protected $_localeResolver;
    protected $_config;
    protected $_isScopePrivate;
    protected $currentCustomer;

    public function __construct(
        Context $context,
        \Bitfoundry\Etnpay\Model\ConfigFactory $etnpayConfigFactory,
        ResolverInterface $localeResolver,
        \Bitfoundry\Etnpay\Helper\Data $etnpayData,
        CurrentCustomer $currentCustomer,
        array $data = []
    ) {
        $this->_etnpayData          = $etnpayData;
        $this->etnpayConfigFactory  = $etnpayConfigFactory;
        $this->_localeResolver      = $localeResolver;
        $this->_config              = null;
        $this->_isScopePrivate      = true;
        $this->currentCustomer      = $currentCustomer;
        parent::__construct( $context, $data );
    }

    protected function _construct()
    {
        $this->_config = $this->etnpayConfigFactory->create()->setMethod( $this->getMethodCode() );
        parent::_construct();
    }

    public function getMethodCode()
    {
        return $this->_methodCode;
    }

}
