<?php
namespace Bitfoundry\Etnpay\Block\Payment;

class Scan extends \Magento\Framework\View\Element\Template
{
    protected $_paymentMethod;
    protected $_orderFactory;
    protected $_checkoutSession;
    protected $readFactory;
    protected $reader;
    protected $_assetRepo;
    protected $_storeManager;
    protected $_etnHelper;

    /**
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Magento\Sales\Model\OrderFactory $orderFactory
     * @param \Magento\Checkout\Model\Session $checkoutSession
     * @param \Magento\Framework\Filesystem\Directory\ReadFactory $readFactory
     * @param \Magento\Framework\Module\Dir\Reader $reader
     * @param \Bitfoundry\Etnpay\Model\Etnpay $paymentMethod
     * @param \Magento\Framework\View\Asset\Repository $assetRepo
     * @param \Magento\Store\Model\StoreManagerInterface $storeManager
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Magento\Sales\Model\OrderFactory $orderFactory,
        \Magento\Checkout\Model\Session $checkoutSession,
        \Magento\Framework\Filesystem\Directory\ReadFactory $readFactory,
        \Magento\Framework\Module\Dir\Reader $reader,
        \Bitfoundry\Etnpay\Model\Etnpay $paymentMethod,
        \Bitfoundry\Etnpay\Helper\Data $etnHelper,
        \Magento\Framework\View\Asset\Repository $assetRepo,
        \Magento\Store\Model\StoreManagerInterface $storeManager,
        array $data = []
    ) {
        $this->_orderFactory    = $orderFactory;
        $this->_checkoutSession = $checkoutSession;
        parent::__construct( $context, $data );
        $this->_isScopePrivate  = true;
        $this->readFactory      = $readFactory;
        $this->reader           = $reader;
        $this->_paymentMethod   = $paymentMethod;
        $this->_etnHelper       = $etnHelper;
        $this->_assetRepo       = $assetRepo;
        $this->_storeManager    = $storeManager;
    }

    public function _prepareLayout()
    {
        $etnData = $this->_paymentMethod->getEtnData();
        $isMobile = $this->_etnHelper->isMobile() ? 1 : 0;

        $this->setVendorAddress($etnData['vendorAddress'])
            ->setTitle($etnData['title'])
            ->setAmount($etnData['amount'])
            ->setEtnAmount($etnData['etnAmount'])
            ->setMerchantReference($etnData['merchantReference'])
            ->setShortMerchantName($etnData['shortMerchantName'])
            ->setCurrencyISOCode($etnData['currencyISOCode'])
            ->setEtnUrl($etnData['etnUrl'])
            ->setOrderId($etnData['orderId'])
            ->setLoadingImg($this->_assetRepo->getUrl('Bitfoundry_Etnpay::images/ajax-loader.gif'))
            ->setBaseUrl($this->_storeManager->getStore()->getBaseUrl())
            ->setIsMobile($isMobile);

        parent::_prepareLayout();
    }
}
