<?php
namespace Bitfoundry\Etnpay\Setup;
 
use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;
 
class InstallSchema implements InstallSchemaInterface {
 
    public function install (SchemaSetupInterface $setup, ModuleContextInterface $context) {
        $installer = $setup;
 
        $installer->startSetup();
        
        $tableName = $installer->getTable('sales_invoice');

        // Check if the table already exists
        if ($installer->getConnection()->isTableExists($tableName) == true) {
            // Declare data
            $columns = [
                'etn_id' => [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    30,
                    'nullable' => true,
                    'comment' => 'Unique Electroneum transaction identifier for the customer',
                ],
                'etn_amount' => [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    30,
                    'nullable' => true,
                    'comment' => 'Electroneum amount at time of payment',
                ],
            ];

            $connection = $installer->getConnection();

            foreach ($columns as $name => $definition) {
                $connection->addColumn($tableName, $name, $definition);
            }
        }
 
        $installer->endSetup();
    }
}